import request from '@/utils/request'

// 查询年销售目标合并列表
export function listAnnualSaleGoalMerge(query) {
  return request({
    url: '/goal_management/annualSaleGoalMerge/list',
    method: 'get',
    params: query
  })
}

// 查询年销售目标合并详细
export function getAnnualSaleGoalMerge(id) {
  return request({
    url: '/goal_management/annualSaleGoalMerge/' + id,
    method: 'get'
  })
}

// 新增年销售目标合并
export function addAnnualSaleGoalMerge(data) {
  return request({
    url: '/goal_management/annualSaleGoalMerge',
    method: 'post',
    data: data
  })
}

// 修改年销售目标合并
export function updateAnnualSaleGoalMerge(data) {
  return request({
    url: '/goal_management/annualSaleGoalMerge',
    method: 'put',
    data: data
  })
}

// 删除年销售目标合并
export function delAnnualSaleGoalMerge(id) {
  return request({
    url: '/goal_management/annualSaleGoalMerge/' + id,
    method: 'delete'
  })
}

//提交
export function submit(id) {
  return request({
    url: '/goal_management/annualSaleGoalMerge/submit',
    method: 'post',
    data: id
  })
}